GetTaskAttemptCompletionEventsResponsePBImpl (Apache Hadoop MapReduce Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb, class: GetTaskAttemptCompletionEventsResponsePBImpl

Package org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb

# Class GetTaskAttemptCompletionEventsResponsePBImpl

java.lang.Object
org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto>
org.apache.hadoop.mapreduce.v2.api.protocolrecords.impl.pb.GetTaskAttemptCompletionEventsResponsePBImpl

All Implemented Interfaces:
  `GetTaskAttemptCompletionEventsResponse`

public class GetTaskAttemptCompletionEventsResponsePBImpl extends org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto> implements GetTaskAttemptCompletionEventsResponse

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetTaskAttemptCompletionEventsResponsePBImpl()`
  `GetTaskAttemptCompletionEventsResponsePBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto proto)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addAllCompletionEvents(List<TaskAttemptCompletionEvent> completionEvents)`
  `void`
  `addCompletionEvent(TaskAttemptCompletionEvent completionEvents)`
  `void`
  `clearCompletionEvents()`
  `TaskAttemptCompletionEvent`
  `getCompletionEvent(int index)`
  `int`
  `getCompletionEventCount()`
  `List<TaskAttemptCompletionEvent>`
  `getCompletionEventList()`
  `org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto`
  `getProto()`
  `void`
  `removeCompletionEvent(int index)`

  ### Methods inherited from class org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase

  `convertFromProtoFormat, convertToProtoFormat, equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GetTaskAttemptCompletionEventsResponsePBImpl

    public GetTaskAttemptCompletionEventsResponsePBImpl()

  - ### GetTaskAttemptCompletionEventsResponsePBImpl

    public GetTaskAttemptCompletionEventsResponsePBImpl(org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto proto)

- ## Method Details

  - ### getProto

    public org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto getProto()
    Specified by:
      `getProto` in class `org.apache.hadoop.yarn.api.records.impl.pb.ProtoBase<org.apache.hadoop.mapreduce.v2.proto.MRServiceProtos.GetTaskAttemptCompletionEventsResponseProto>`

  - ### getCompletionEventList

    public List<TaskAttemptCompletionEvent> getCompletionEventList()
    Specified by:
      `getCompletionEventList` in interface `GetTaskAttemptCompletionEventsResponse`

  - ### getCompletionEvent

    public TaskAttemptCompletionEvent getCompletionEvent(int index)
    Specified by:
      `getCompletionEvent` in interface `GetTaskAttemptCompletionEventsResponse`

  - ### getCompletionEventCount

    public int getCompletionEventCount()
    Specified by:
      `getCompletionEventCount` in interface `GetTaskAttemptCompletionEventsResponse`

  - ### addAllCompletionEvents

    public void addAllCompletionEvents(List<TaskAttemptCompletionEvent> completionEvents)
    Specified by:
      `addAllCompletionEvents` in interface `GetTaskAttemptCompletionEventsResponse`

  - ### addCompletionEvent

    public void addCompletionEvent(TaskAttemptCompletionEvent completionEvents)
    Specified by:
      `addCompletionEvent` in interface `GetTaskAttemptCompletionEventsResponse`

  - ### removeCompletionEvent

    public void removeCompletionEvent(int index)
    Specified by:
      `removeCompletionEvent` in interface `GetTaskAttemptCompletionEventsResponse`

  - ### clearCompletionEvents

    public void clearCompletionEvents()
    Specified by:
      `clearCompletionEvents` in interface `GetTaskAttemptCompletionEventsResponse`